Bug 111058 - recompile libfontenc with -fPIC
Summary: recompile libfontenc with -fPIC
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 1
Hardware: x86_64 Linux
high
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-26 21:00 UTC by Ngo Than
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-27 13:00:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:406 normal SHIPPED_LIVE Updated XFree86 packages are available 2003-12-11 05:00:00 UTC

Description Ngo Than 2003-11-26 21:00:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
libfontenc needs to be rebuild ith fPIC. Rebuild kdebase-3.1.93 in fc2
tree breaks with:

/usr/bin/ld: /usr/X11R6/lib64/libfontenc.a(fontenc.o): relocation
R_X86_64_32S can not be used when making a shared object; recompile
with -fPIC
/usr/X11R6/lib64/libfontenc.a: could not read symbols: Bad value



Version-Release number of selected component (if applicable):
XFree86-4.3.0-42

How reproducible:
Always

Steps to Reproduce:
rebuild kdebase-3.1.93 in fc2 tree

Actual Results:  /usr/bin/ld:
/usr/X11R6/lib64/libfontenc.a(fontenc.o): relocation R_X86_64_32S can
not be used when making a shared object; recompile with -fPIC
/usr/X11R6/lib64/libfontenc.a: could not read symbols: Bad value

Expected Results:  it should be build without this problem

Additional info:

Here is a patch, which should fix this problem

--- XFree86-4.3.0/xc/lib/fontenc/Imakefile.orig 2003-11-24
21:44:15.000000000 +0100
+++ XFree86-4.3.0/xc/lib/fontenc/Imakefile      2003-11-24
22:39:44.000000000 +0100
@@ -22,6 +22,8 @@
 #define IncSubdir X11
 #define IncSubSubdir fonts

+#define IncludeSharedObjectInNormalLib
+
 #include <Library.tmpl>

 #if GzipFontCompression

Comment 1 Ngo Than 2003-11-27 13:00:17 UTC
It's now fixed in Xfree86-4.3.0-44. thanks Mike!

Comment 2 Jay Turner 2004-01-16 16:58:47 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-406.html



Note You need to log in before you can comment on or make changes to this bug.